unit UTRIXI;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;


function Connect(Server: PAnsiChar; Port: Integer): Boolean; stdcall external 'TRIXI.DLL';
function Disconnect(): Boolean; stdcall external 'TRIXI.DLL';
function IsOnline(): Boolean; stdcall external 'TRIXI.DLL';
function WriteString(Variable: Integer; Value: PAnsiChar): Integer; stdcall external 'TRIXI.DLL';
function WriteInteger(Variable: Integer; Value: Integer): Integer; stdcall external 'TRIXI.DLL';
function WriteFloat(Variable: Integer; Value: Double): Integer; stdcall external 'TRIXI.DLL';
function WriteBoolean(Variable: Integer; Value: Boolean): Integer; stdcall external 'TRIXI.DLL';
function ReadString(Variable: Integer): PAnsiChar; stdcall external 'TRIXI.DLL';
function ReadInteger(Variable: Integer): Integer; stdcall external 'TRIXI.DLL';
function ReadFloat(Variable: Integer): Double; stdcall external 'TRIXI.DLL';
function ReadBoolean(Variable: Integer): Boolean; stdcall external 'TRIXI.DLL';
function RunScript(Variable: Integer): Integer; stdcall external 'TRIXI.DLL';

implementation

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Connect(PAnsiChar(Edit1.Text), 3773) then
    showmessage('Online')
  else
    showmessage('Fail');
end;


procedure TForm1.Button2Click(Sender: TObject);
begin
  if IsOnline then
    Label1.Caption:='Online'
  else
    Label1.Caption:='Offline';
end;


procedure TForm1.Button3Click(Sender: TObject);
var ID: Integer;
begin
  ID:=StrToInt(Edit2.Text);
  WriteString(ID, PAnsiChar(Edit3.Text));
end;


procedure TForm1.Button4Click(Sender: TObject);
var ID: Integer;
begin
  ID:=StrToInt(Edit2.Text);
  showmessage(ReadString(ID));
end;


initialization
  {$I utrixi.lrs}

end.

